### Function

# Ggit ReferencesCallback

#### Declaration

    gint
    (* GgitReferencesCallback) (
      GgitRef* reference,
      gpointer user_data
    )

#### Description [src]

The type of the callback functions for retrieving the references in a `GgitRepository`. See ggit_repository_references_foreach().

#### Parameters

`reference`

  Type: `GgitRef`

  The reference.

  The called function takes ownership of the data, and is responsible for freeing it.

`user_data`

  Type: `gpointer`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go for the next references or a `GgitError` in case there was an error.